Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.clearlook
Class ClearLookMode

    java.lang.Object
      com.jgoodies.clearlook.ClearLookMode

public final class ClearLookMode
extends Object

Describes a ClearLook(tm) mode as used by the `ClearLookManager`. Can be on or off; quiet, verbose, debug, or both.

Author:
  Karsten Lentzsch
See Also:
  `ClearLookManager`

Field Summary
`static ClearLookMode` | `DEBUG`
`static ClearLookMode` | `OFF`
`static ClearLookMode` | `ON`
`static ClearLookMode` | `VERBOSE`

Method Summary
`String` | `getName()` Returns the mode's name.
`boolean` | `isDebug()` Returns whether this mode indicates a debug state.
`boolean` | `isEnabled()` Returns whether ClearLook will be used to analyse and replace obsolete decorations.
`boolean` | `isVerbose()` Returns whether this mode is verbose.
`String` | `toString()` Returns a string representation for this mode.
`static ClearLookMode` | `valueOf(String name)` Looks up and answers a `ClearLookMode` for the specified name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OFF

    public static final ClearLookMode OFF

### ON

    public static final ClearLookMode ON

### VERBOSE

    public static final ClearLookMode VERBOSE

### DEBUG

    public static final ClearLookMode DEBUG

Method Detail

### getName

    public String getName()

  Returns the mode's name. Also used to check whether a mode has been installed successfully.

  Returns:
    the name of this mode

### isEnabled

    public boolean isEnabled()

  Returns whether ClearLook will be used to analyse and replace obsolete decorations.

  Returns:
    true if ClearLook is enabled, false if disabled

### isVerbose

    public boolean isVerbose()

  Returns whether this mode is verbose.

  Returns:
    true if this mode logs many message, false if it's quiet

### isDebug

    public boolean isDebug()

  Returns whether this mode indicates a debug state.

  Returns:
    true if this mode is a debug mode

### valueOf

    public static ClearLookMode valueOf(String name)

  Looks up and answers a `ClearLookMode` for the specified name.

  Parameters:
    `name` - the name of the ClearLook mode to lookup
  Returns:
    the associated ClearLookMode instance

### toString

    public String toString()

  Returns a string representation for this mode.

  Returns:
    a string representation for this mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 JGoodies Karsten Lentzsch. All Rights Reserved.